Bug 1001801 - some languages missing from language menu in Welcome dialog
some languages missing from language menu in Welcome dialog
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-27 15:27 EDT by Steve Tyler
Modified: 2014-01-16 15:13 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-16 15:13:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
localization-test-report-20_09_1-2.txt (7.45 KB, text/plain)
2013-08-28 14:51 EDT, Steve Tyler
no flags Details
localization-test-5.py (1.83 KB, text/plain)
2013-08-28 14:55 EDT, Steve Tyler
no flags Details
localization-test-report-20_08_1_EXP_1-1.txt (7.94 KB, text/plain)
2013-08-29 16:12 EDT, Steve Tyler
no flags Details

  None (edit)
Description Steve Tyler 2013-08-27 15:27:27 EDT
Description of problem:
There are anaconda translations of varying degrees of completeness for the following languages, but they are not listed in the language menu of the Welcome dialog:

translation english_name            anaconda_master[1]
bn_IN       "Bengali (India)"       9%
de_CH       "German (Switzerland)"  5%
eu          "Basque"                41% (eu_ES is 0%)
pt          "Portuguese"            23% (pt_BR is 92%)
sr@latin    "Serbian (Latin)"       6%  (sr is 7%)
zh_TW       "Chinese (Taiwan)"      93%

Version-Release number of selected component (if applicable):
anaconda 20.8-1
Fedora-20-Alpha-TC1-x86_64-DVD.iso

How reproducible:
Always.

Steps to Reproduce:
1. Start installer from DVD:
$ qemu-kvm -m 4096 -hda f20-test-3.img -cdrom ~/xfr/fedora/F20/Alpha/Fedora-20-Alpha-TC1-x86_64-DVD.iso -vga std -boot menu=on
2. Examine the language menu in the Welcome dialog.

Actual results:
The languages listed above are not in the language menu.

The English names are from the transifex web site.

"Portuguese" should probably be "Portuguese (Portugal)".
"Basque" is distinct from "Basque (Spain)", for which there is no translation coverage. I'm not sure what the country/locale should be.

Expected results:
All languages for which there are translations and locales should be listed.

Additional info:
[1] Transifex links for anaconda translations:
https://fedora.transifex.com/projects/p/fedora/language/bn_IN/?project=2059
https://fedora.transifex.com/projects/p/fedora/language/de_CH/?project=2059
https://fedora.transifex.com/projects/p/fedora/language/eu/?project=2059
https://fedora.transifex.com/projects/p/fedora/language/pt/?project=2059
https://fedora.transifex.com/projects/p/fedora/language/sr@latin/?project=2059
https://fedora.transifex.com/projects/p/fedora/language/zh_TW/?project=2059

See also:
Bug 1001446 - Traditional Chinese not listed in language menu of installer Welcome dialog
Comment 1 Steve Tyler 2013-08-28 14:51:33 EDT
Created attachment 791506 [details]
localization-test-report-20_09_1-2.txt

This report is for a unit test of pyanaconda/localization.py get_available_translations().

The report lists 73 languages.

Testing was with an updated F20 installation.

The command-line was:
$ ./localization-test-5.py localization_20_09_1.py > localization-test-report-20_09_1-2.txt
Comment 2 Steve Tyler 2013-08-28 14:55:23 EDT
Created attachment 791510 [details]
localization-test-5.py

This is the Python script used to generate the attached localization-test-report-20_09_1-2.txt.

Usage:
$ ./localization-test-5.py localization_20_09_1.py > localization-test-report-20_09_1-2.txt
Comment 3 Steve Tyler 2013-08-29 16:12:29 EDT
Created attachment 791950 [details]
localization-test-report-20_08_1_EXP_1-1.txt

This report is for a patched pyanaconda/localization.py:

[master][PATCH] Search for all translations, not only one per langauge (#1001446)
https://lists.fedorahosted.org/pipermail/anaconda-patches/2013-August/005612.html

The report lists 78 languages.

One language is missing:
pt          "Portuguese"

Tested with F19.

Command-line:
$ ./localization-test-5.py localization_20_08_1_EXP_1.py > localization-test-report-20_08_1_EXP_1-1.txt

Note You need to log in before you can comment on or make changes to this bug.